Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
finder
Find LinkedIn companies
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/finder \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "domains": [
    "https://example.com"
  ]
}
'
{
  "data": [
    {
      "linkedin_url": "<string>",
      "domain": "<string>",
      "company_name": "<string>"
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/finder

Find LinkedIn company URLs from website domains or URLs.
Submit one or more website domains or URLs and get matching LinkedIn company URLs.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/finder \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"domains": ["https://example.com"]}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
domains
string[]
required

Website domains or URLs to look up.

Maximum array length: 50
Example:
["https://example.com"]

Response

LinkedIn company URLs found from domains or URLs.

data
object[]
required
meta
object
required